Send WhatsApp Session Message V2

This method allows you to reply to contact's messages within a 24-hour window.

API Update Notice: This V2 endpoint is the recommended version, replacing the previous V1 endpoint. We recommend migrating to V2 immediately for a better experience.

Benefits of V2:

  • Decreased processing time for API requests and responses
  • Improved features: Blocking Request, Spam Check, and Blocked Numbers
  • Increased RPS (from 30 RPS to 50 RPS)
  • Better developer environment to support future developments
  • Improved logging and monitoring
  • Improved dependencies and service stability

A rate limit of 50 RPS is applied to WhatsApp services. Verihubs also applies rate limits divided into several categories based on product. For more details, see Rate Limit.

Callback Description

When you want to use callback_url payload, you only need to put for example

your-callback-url.com/callback

Example callback that we'll send

your-callback-url.com/callback?session_id=d0f5fb5c-2d50-4d3f-aea7-20018ab15806&status=1
PayloadDescription
session_idID of the specific message
statusLatest status of the request

Callback Status Description

StatusDescriptionCondition
0RequestedMessage has been requested.
1SentMessage has been sent to Whatsapp server.
2DeliveredMessage has been delivered to user.
3ReadMessage has been read by user.
6FailedWhatsapp cannot send Message to destination number
7Request ErrorVerihubs cannot reach WhatsApp
10Tier Limit ExceededExceeding channel tier limit
Body Params
string
required

Destination Phone Number. You need to include international prefix number.

string
required

Message that wants to be sent. The content must be a minimum length of 1 character to a maximum length of 4096 characters.

string

Optional. This URL will be called by the server when the desired event will occur.

Headers
string
required
string
required
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json